server:
  port: 9118

spring:
  profiles:
    active: @package.environment@
  application:
    name: tuoheng-air-monitor-api
  main:
    allow-bean-definition-overriding: true

# MyBatis
mybatis-plus:
  mapper-locations: classpath*:mapper/*Mapper.xml
  # 实体扫描，多个package用逗号或者分号分隔
  type-aliases-package: com.tuoheng.api.entity
  configuration:
    # 开启驼峰命名法
    map-underscore-to-camel-case: true
    use-generated-keys: true
    # 这个配置会将执行的sql打印出来，在开发或测试的时候可以用
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
logging:
  level:
    druid:
      sql: INFO
### 认证配置
#security:
#  oauth2:
#    resource:
#      loadBalanced: true
#      user-info-uri: http://tuoheng-auth/oauth/user
#      token-info-uri: http://tuoheng-auth/oauth/check_token
#    client:
#      client-id: tuoheng
#      client-secret: 123456
#      access-token-uri: http://tuoheng-auth/oauth/token
#      grant-type: client_credentials,password
#      scope: server